Get a vector store file

Retrieves a vector store file.

Request

GET

https://ai.api.cloud.yandex.net/v1/vector_stores/{vector_store_id}/files/{file_id}
        

Path parameters

Name

Description

file_id

Type: string

The ID of the file being retrieved.

Example: ``

vector_store_id

Type: string

The ID of the vector store that the file belongs to.

Example: ``

Responses

200 OK

OK

Body

application/json
{
          "id": "example",
          "object": "vector_store.file",
          "usage_bytes": 0,
          "created_at": 0,
          "vector_store_id": "example",
          "status": "in_progress",
          "last_error": null
        }
        

Name

Description

created_at

Type: integer

The Unix timestamp (in seconds) for when the vector store file was created.

id

Type: string

The identifier, which can be referenced in API endpoints.

Example: example

last_error

Any of 2 types
  • Type: object

    code

    Type: string

    One of server_error, unsupported_file, or invalid_file.

    Enum: server_error, unsupported_file, invalid_file

    message

    Type: string

    A human-readable description of the error.

    Example: example

    The last error associated with this vector store file. Will be null if there are no errors.

    Example
    {
              "code": "server_error",
              "message": "example"
            }
            
  • Type: unknown

    Example: null

Default: null

object

Type: string

The object type, which is always vector_store.file.

Const: vector_store.file

Example: example

status

Type: string

The status of the vector store file, which can be either in_progress, completed, cancelled, or failed. The status completed indicates that the vector store file is ready for use.

Enum: in_progress, completed, cancelled, failed

usage_bytes

Type: integer

The total vector store usage in bytes. Note that this may be different from the original file size.

vector_store_id

Type: string

The ID of the vector store that the File is attached to.

Example: example

Предыдущая
Следующая